<?php
//Incluir la conexion a la base de datos
require("../../config/Conexion.php");

class Comprar_Cartones
{
	//Definicion de todas las variables
  
   
	//constructor
    public function __construct(){
    }

//--------------------------------------------------------------------------------//

 public static function listarusuario() {
        $q = "SELECT id, usuario FROM usuario ";
        
        //die($q);
        $rspta = ejecutarConsulta($q);//Ejecutar consulta
        return $rspta;
    }

 public static function listarcarton() {
        $q = "SELECT DISTINCT carton_id
FROM bingo_cartones; ";
        
        //die($q);
        $rspta = ejecutarConsulta($q);//Ejecutar consulta
        return $rspta;
    }


   public function mostrarproxpartida()
{
    $sql = "SELECT MAX(id) as id FROM partidas";    
    $rspta = ejecutarConsultaSimpleValor($sql);  
    
    // Aumentar el valor obtenido en 1
    $rspta += 1;  

    return $rspta;
}
public function EnviarCompra($proxpartida, $jugadores, $carton) {
    // Verificar si el cartón ya está seleccionado en la partida
    $consulta = "SELECT COUNT(*) AS total FROM compras_cartones WHERE id_partida = '$proxpartida' AND carton_id = '$carton'";
    $resultado = ejecutarConsultaSimpleFila($consulta);

    // Si hay uno o más registros, el cartón ya está seleccionado
    if ($resultado['total'] > 0) {
        return false; // O el mensaje que desees
    }

    // Insertar el número y la letra en compras_cartones con el id_partida
    $q = "INSERT INTO compras_cartones (id_jugador, id_partida, carton_id) VALUES ('$jugadores', '$proxpartida', '$carton')";
    $rspta = ejecutarConsulta($q); // Ejecutar consulta
    return $rspta;
}


public function listar(){

        $q = "SELECT A.id,A.id_partida,A.carton_id,B.usuario AS nombre_usuario
              FROM compras_cartones A INNER JOIN usuario B ON A.id_jugador = B.id";
       //die($q);
       $rspta = ejecutarConsulta($q);//Ejecutar consulta
       return $rspta; 
    }
    
    
   public function eliminar($id_compra, $id_partida) {
    // Primero, consulta el estado de la partida
    $sql_estado = "SELECT estado FROM partidas WHERE id = '$id_partida'";
    $resultado_estado = ejecutarConsultaSimpleFila($sql_estado);

    // Verificar si se obtuvo un resultado y que el estado es 0
    if ($resultado_estado && $resultado_estado['estado'] == 0) {
        // Estado es 0, no se permite eliminar
        return false; // O puedes lanzar una excepción, depende de tu manejo de errores
    }

    // Si el estado es diferente de 0, proceder a eliminar
    $q = "DELETE FROM compras_cartones WHERE id = '$id_compra'";
    $rspta = ejecutarConsulta($q); // Ejecutar consulta
    return $rspta;
}



}//Fin de la clase
?>